Support Questions
Find answers, ask questions, and share your expertise
Announcements
Alert: Welcome to the Unified Cloudera Community. Former HCC members be sure to read and learn how to activate your account here.

Every time I run cbd command I get "* Dependency required, installing sed latest ..." as response in CLI

Every time I run cbd command I get "* Dependency required, installing sed latest ..." as response in CLI

New Contributor

Sed is installed in Version 4.2.2 and the server runs Rhel 7.3 Enterprise Server I installed Cloudbreak Deployer: 1.16.1, the only command working right now is cbd --version. Thank you for your help.

[root@master cloudbreak-deployer]# cbd init
* Dependency required, installing sed latest ...
[root@master cloudbreak-deployer]# cbd init
* Dependency required, installing sed latest ...
[root@master cloudbreak-deployer]# cbd --help
* Dependency required, installing sed latest ...
[root@master cloudbreak-deployer]# cbd kill
* Dependency required, installing sed latest ...
[root@master cloudbreak-deployer]# cbd update
* Dependency required, installing sed latest ...
[root@master cloudbreak-deployer]# cbd regerate
* Dependency required, installing sed latest ...
[root@master cloudbreak-deployer]# cbd test
* Dependency required, installing sed latest ...
[root@master cloudbreak-deployer]# cbd doctor
* Dependency required, installing sed latest ..
12 REPLIES 12

Re: Every time I run cbd command I get "* Dependency required, installing sed latest ..." as response in CLI

@Marcel Fest

Could you please send me the output of the following?

cbd doctor
TRACE=1 cbd init

Re: Every time I run cbd command I get "* Dependency required, installing sed latest ..." as response in CLI

Expert Contributor

It seems github has some issue this is why your install commands are not working https://status.github.com/

Br,

R

Re: Every time I run cbd command I get "* Dependency required, installing sed latest ..." as response in CLI

Expert Contributor

@Marcel Fest

Have you installed Cloudbreak Deployer on your own or are you using pre-built Cloudbreak Deployer cloud images with the Cloudbreak Deployer pre-installed?

Once the Cloudbreak Deployer is installed successfully, you have to set up the Cloudbreak application by creating cloudbreak-deployment and Profile file respectively. Also, you can run 'yum -y update' to ensure that your system is up to date.

http://sequenceiq.com/cloudbreak-docs/latest/onprem/

Highlighted

Re: Every time I run cbd command I get "* Dependency required, installing sed latest ..." as response in CLI

New Contributor

@Shyam Sham

I have installed cbd manually

@pdarvasi

cbd doctor init
* Dependency required, installing sed latest ...

TRACE=1 cbd init
+ CBD_PROFILE=Profile
+ cbd-find-root
+ CBD_ROOT=/home/festm
+ start-time-init
+ declare 'desc=Resolve or set Cloudbreak deployment start time'
++ cat .starttime
+ [[ -n 1502258567 ]]
++ cat .starttime
+ export CB_COMPONENT_CREATED=1502258567
+ CB_COMPONENT_CREATED=1502258567
+ color-init
+ for color in '"${!color_table[@]}"'
+ eval 'yellow-bright() { color-cat yellow-bright; }'
+ for color in '"${!color_table[@]}"'
+ eval 'white-bright() { color-cat white-bright; }'
+ for color in '"${!color_table[@]}"'
+ eval 'gray() { color-cat gray; }'
+ for color in '"${!color_table[@]}"'
+ eval 'purple-bright() { color-cat purple-bright; }'
+ for color in '"${!color_table[@]}"'
+ eval 'yellow() { color-cat yellow; }'
+ for color in '"${!color_table[@]}"'
+ eval 'red() { color-cat red; }'
+ for color in '"${!color_table[@]}"'
+ eval 'blue() { color-cat blue; }'
+ for color in '"${!color_table[@]}"'
+ eval 'white() { color-cat white; }'
+ for color in '"${!color_table[@]}"'
+ eval 'green() { color-cat green; }'
+ for color in '"${!color_table[@]}"'
+ eval 'red-bright() { color-cat red-bright; }'
+ for color in '"${!color_table[@]}"'
+ eval 'blue-bright() { color-cat blue-bright; }'
+ for color in '"${!color_table[@]}"'
+ eval 'purple() { color-cat purple; }'
+ for color in '"${!color_table[@]}"'
+ eval 'cyan-bright() { color-cat cyan-bright; }'
+ for color in '"${!color_table[@]}"'
+ eval 'cyan() { color-cat cyan; }'
+ for color in '"${!color_table[@]}"'
+ eval 'green-bright() { color-cat green-bright; }'
+ is_command_needs_profile init
+ [[  aws azure bash-complete help init machine version update delete  != *\ \i\n\i\t\ * ]]
+ deps-init
++ deps-dir
++ echo /home/festm/.deps
+ export PATH=/home/festm/.deps/bin:/sbin:/bin:/usr/sbin:/usr/bin:/opt/LinuxCOE/bin:/opt/mtp/bin
+ PATH=/home/festm/.deps/bin:/sbin:/bin:/usr/sbin:/usr/bin:/opt/LinuxCOE/bin:/opt/mtp/bin
+ deps-require sed
+ declare name=sed version=latest
+ deps-check sed latest
+ declare name=sed version=latest
++ deps-dir
++ echo /home/festm/.deps
+ [[ -f /home/festm/.deps/bin/sed ]]
+ echo '* Dependency required, installing sed latest ...'
+ yellow
+ color-cat yellow
+ declare color=yellow
+ read -r
+ printf '\033[00;33m%s\033[0m\n' '* Dependency required, installing sed latest ...'
* Dependency required, installing sed latest ...
+ read -r
+ deps-install sed latest
+ declare name=sed version=latest
+ local tag index tmpdir tmpfile dep filename extension install
++ deps-dir
++ echo /home/festm/.deps
+ mkdir -p /home/festm/.deps/bin
++ curl -s https://raw.githubusercontent.com/lalyos/glidergun-rack/master/index/sed
+ index=

Re: Every time I run cbd command I get "* Dependency required, installing sed latest ..." as response in CLI

@Marcel Fest

From the logs, it looks like that your deployer VM does not have Internet access, which is mandatory to be able to communicate with the Cloud Providers. Deployer without Internet access is not supported.

Hope this helps!

Re: Every time I run cbd command I get "* Dependency required, installing sed latest ..." as response in CLI

New Contributor

@pdarvasi

I can munually call:

curl -s https://raw.githubusercontent.com/lalyos/glidergun-rack/master/index/sed

I also set the proxy for my company. Does Cloudbreak Deployer not use the env variables for proxys?

Re: Every time I run cbd command I get "* Dependency required, installing sed latest ..." as response in CLI

Expert Contributor

Re: Every time I run cbd command I get "* Dependency required, installing sed latest ..." as response in CLI

New Contributor
@rdoktorics

thanks man, so it is not using my environment.

Test it the next days. But I think it will work just fine.

Re: Every time I run cbd command I get "* Dependency required, installing sed latest ..." as response in CLI

New Contributor

Hi,

@rdoktorics, @pdarvasi, @Marcel Fest

I could install cloudbreak and the version command works well but not others.

[root@uat-docker-1 cloudbreak]# cbd --help

* Dependency required, installing sed latest ...

[root@uat-docker-1 cloudbreak]# cbd --version

Cloudbreak Deployer: 2.7.0

Please let me know if I have missed anything.